summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2015-11-21 12:26:35 +0100
committerPacho Ramos <pacho@gentoo.org>2015-11-21 12:26:56 +0100
commite59ebfe0f69473e629a8d42a87199f4d6eb1ad0a (patch)
treef7c7cc1665754d0971d9a495d8ca82d71e4bc505 /net-print/cndrvcups-lb
parentnet-print/cndrvcups-common-lb: Version bump (#565606 by Kalin KOZHUHAROV) (diff)
downloadgentoo-e59ebfe0f69473e629a8d42a87199f4d6eb1ad0a.tar.gz
gentoo-e59ebfe0f69473e629a8d42a87199f4d6eb1ad0a.tar.bz2
gentoo-e59ebfe0f69473e629a8d42a87199f4d6eb1ad0a.zip
net-print/cndrvcups-lb: Version bump (#565606 by Kalin KOZHUHAROV)
Package-Manager: portage-2.2.24
Diffstat (limited to 'net-print/cndrvcups-lb')
-rw-r--r--net-print/cndrvcups-lb/Manifest1
-rw-r--r--net-print/cndrvcups-lb/cndrvcups-lb-3.00.ebuild106
2 files changed, 107 insertions, 0 deletions
diff --git a/net-print/cndrvcups-lb/Manifest b/net-print/cndrvcups-lb/Manifest
index 19c82e7cf3d..0714db88ca9 100644
--- a/net-print/cndrvcups-lb/Manifest
+++ b/net-print/cndrvcups-lb/Manifest
@@ -1 +1,2 @@
DIST Linux_UFRII_PrinterDriver_V290_uk_EN.tar.gz 90901373 SHA256 bcc9db26e261d239438aeb15f171b5b0e7fd305abd0729be0e806bb4c039654a SHA512 23181155f5719fa0a9c216c058be749b5faaa8ee745d260eba2e5e284ef4ff161e344289a7c301a2d74cc919c5031763b0daf41cd07686cfdce188492a9b34b2 WHIRLPOOL 82bb966d823f8019d6275d421ebd2ff848556415e1767bd8fc2638d97479e15029a48818e5b45e9210781f4f37fd269dde46763404314b6c47ee0b4670e03600
+DIST o1581en_linux_UFRII_v300.zip 94262679 SHA256 1ec1b162411642dc1814608ec71a3b94d6e22ede234f6b750bbdfd3820d5ac46 SHA512 e31415f2e9256c5dc98e27afe3bdc2f75b852d0a99721f8f2ac78225bac497e84c6ce94e8447f3aed6bb6c94975c7625f0dbb2647be44f90c144a46e9af89b81 WHIRLPOOL f419d6130ce9cfd87caebc9678991bbd46e2db5f8bb5a39fb8202a7532de33e969f4f907f2f1404859f987c57f49f562defcec42380ea1b4f284b8d4c6cae3e6
diff --git a/net-print/cndrvcups-lb/cndrvcups-lb-3.00.ebuild b/net-print/cndrvcups-lb/cndrvcups-lb-3.00.ebuild
new file mode 100644
index 00000000000..6648bd7a57d
--- /dev/null
+++ b/net-print/cndrvcups-lb/cndrvcups-lb-3.00.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils autotools multilib versionator
+
+DESCRIPTION="Canon UFR II / LIPSLX Printer Driver for Linux"
+HOMEPAGE="http://software.canon-europe.com/software/0046530.asp"
+SRC_URI="http://files.canon-europe.com/files/soft46530/software/o1581en_linux_UFRII_v300.zip"
+
+LICENSE="Canon-UFR-II"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+
+# Needed because GPL2 stuff miss their sources in tarball
+RESTRICT="mirror"
+
+RDEPEND="
+ ~net-print/cndrvcups-common-lb-3.10
+ gnome-base/libglade
+ net-print/cups
+ x11-libs/gtk+:2
+ >=dev-libs/libxml2-2.9.2-r4[abi_x86_32(-)]
+ virtual/jpeg:62[abi_x86_32(-)]
+"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/uk_eng/Sources/${P}"
+MAKEOPTS+=" -j1"
+
+# Don't raise a fuss over pre-built binaries
+QA_PREBUILT="
+ /usr/bin/cnpkbidi
+ /usr/bin/cnpkmoduleufr2
+ /usr/$(get_abi_LIBDIR x86)/libEnoJPEG.so.1.0.0
+ /usr/$(get_abi_LIBDIR x86)/libEnoJBIG.so.1.0.0
+ /usr/$(get_abi_LIBDIR x86)/libufr2filter.so.1.0.0
+ /usr/$(get_abi_LIBDIR x86)/libcnlbcm.so.1.0
+ /usr/$(get_abi_LIBDIR x86)/libcaiocnpkbidi.so.1.0.0
+ /usr/$(get_abi_LIBDIR x86)/libcanonufr2.so.1.0.0
+"
+QA_SONAME="/usr/$(get_abi_LIBDIR x86)/libcaiocnpkbidi.so.1.0.0"
+
+src_unpack() {
+ unpack ${A}
+ cd "${WORKDIR}/uk_eng/Sources/"
+ unpack ./${P}-1.tar.gz
+}
+
+change_dir() {
+ for i in ppd pstoufr2cpca cngplp cngplp/files cpca ; do
+ cd "${i}"
+ "${@}"
+ cd "${S}"
+ done
+}
+
+src_prepare() {
+ sed -i -e \
+ "s:filterdir = \$(libdir)/cups/filter:filterdir = `cups-config --serverbin`/filter:" \
+ pstoufr2cpca/filter/Makefile.am || die
+
+ export "LIBS=-lgmodule-2.0"
+ change_dir eautoreconf
+}
+
+src_configure() {
+ change_dir econf
+}
+
+src_install() {
+ default
+
+ einstalldocs
+
+ prune_libtool_files
+
+ cd "${S}/data"
+ insinto /usr/share/caepcm
+ doins *
+
+ cd "${S}/libs"
+ insinto /usr/share/cnpkbidi
+ doins cnpkbidi_info*
+
+ insinto /usr/share/ufr2filter
+ doins ThLB*
+
+ ABI=x86
+ dobin cnpkbidi cnpkmoduleufr2
+ dolib.so libcnlbcm.so.1.0
+ dosym libcnlbcm.so.1.0 "/usr/$(get_libdir)/libcnlbcm.so.1"
+ dosym libcnlbcm.so.1.0 "/usr/$(get_libdir)/libcnlbcm.so"
+ for lib in *.so.?.?.?; do
+ dolib.so "${lib}"
+ dosym "${lib}" "/usr/$(get_libdir)/${lib%.?.?}"
+ dosym "${lib}" "/usr/$(get_libdir)/${lib%.?.?.?}"
+ done
+
+ # c3pldrv dlopens the absolute path /usr/lib/libcnlbcm.so :(
+ if [[ "$(get_libdir)" != lib ]]; then
+ dosym "../$(get_libdir)/libcnlbcm.so" /usr/lib/libcnlbcm.so
+ fi
+}